

dm-stripe.c: The stripe width must be at least the page size.


---

 25-akpm/drivers/md/dm-stripe.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/md/dm-stripe.c~dm-06-stripe-width-fix drivers/md/dm-stripe.c
--- 25/drivers/md/dm-stripe.c~dm-06-stripe-width-fix	Fri Mar  5 13:23:47 2004
+++ 25-akpm/drivers/md/dm-stripe.c	Fri Mar  5 13:23:47 2004
@@ -97,7 +97,8 @@ static int stripe_ctr(struct dm_target *
 	/*
 	 * chunk_size is a power of two
 	 */
-	if (!chunk_size || (chunk_size & (chunk_size - 1))) {
+	if (!chunk_size || (chunk_size & (chunk_size - 1)) ||
+	    (chunk_size < (PAGE_SIZE >> SECTOR_SHIFT))) {
 		ti->error = "dm-stripe: Invalid chunk size";
 		return -EINVAL;
 	}

_
